<template>
	<view class="page">
		<uni-nav-bar @clickLeft="goto(1, 1)" left-icon="back"  :border="false" :shadow="false" :fixed="true"
		:title="$t('results.title')" backgroundColor="#fff"></uni-nav-bar>
		<view style="width: 92%; margin: 20rpx auto; padding: 30rpx 20rpx; text-align: center;">
			<image style="width: 200rpx; height: 200rpx; margin: 20rpx auto;" :src="resultsModel.images" mode="cover"></image>
			<view style="font-size: 56rpx; font-weight: 600; color: #333; margin-top: 20rpx;">-{{parseFloat(info.recive_amount).toFixed(4)}} USDT</view>
			<view style="font-size: 36rpx; font-weight: 600; line-height: 100rpx;" :style="{ color:resultsModel.statuscolor}">{{resultsModel.status}}</view>
			<view style="font-size: 32rpx; font-weight: 400; color: #999;">{{resultsModel.txt}}</view>
		</view>
		<view style=" width:100vw;">
			<view class="cell_list">
				<view class="cell_left txt">{{$t('results.text1')}}</view>
				<view class="cell_right ">{{info.network}}</view>
			</view>
			<view class="cell_list">
				<view class="cell_left txt">{{$t('results.text2')}}</view>
				<view class="cell_right">{{$t('putforward.title')}}</view>
			</view>
			<view class="cell_list">
				<view class="cell_left txt">{{$t('results.text3')}}</view>
				<view class="cell_right" style="padding-left: 15%;">
					<span style="float: right; right: 0; white-space: pre-wrap; word-break: break-all; text-align: right;">
						{{info.address}}</span>
<!-- 					<image style="width: 50rpx; height: 30rpx;" src="/static/images/copy.png" @click="copy('TAFWFXqC4pseHK1QMdZwXahYivVyrhHfFr')" mode="cover"></image>
 -->				</view>
			</view>
			<view class="cell_list">
				<view class="cell_left txt">{{$t('results.text4')}}</view>
				<view class="cell_right">{{parseFloat(info.fee).toFixed(2)}} USDT</view>
			</view>
			<view class="cell_list">
				<view class="cell_left txt">{{$t('results.text5')}}</view>
				<view class="cell_right">{{info.created_at}}</view>
			</view>
			<view class="cell_list">
				<view class="cell_left txt">{{$t('results.text6')}}</view>
				<view class="cell_right" style="text-align: right;">{{info.id}}
					<image style="width: 30rpx; height: 30rpx;" src="/static/images/copy.png" @click="copy(info.id)" mode="cover"></image>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import zPrompt from '@/components/common/prompt';
	import Popup from '@/components/common/popup';
	import {
		mapState,
		mapMutations
	} from 'vuex';
	export default {
		components: {
			Popup,
			zPrompt
		},
		data() {
			return {
				network:'trc20',
				resultsModel:{
					status: this.$t('results.text7'),
					txt: this.$t('results.text8'),
					images:"/static/images/p1.png",
					statuscolor:'#1D61E7'
				},
				info: {}
			};
		},
		computed: {
			...mapState(['userInfo'])
		},
		//第一次加载
		onLoad(e) {
			if(e.id != typeof(undefined) && e.id != undefined){
				this.$http.get('/api/withdrawl/detail?id='+e.id+'&lang='+this.$i18n.locale).then(res => {
					if(res.code == 0){
						this.info = res.data;
						switch(res.data.status){
							case 0:
							case 1: //审核
								this.resultsModel={
									status: this.$t('results.text7'),
									txt: this.$t('results.text8'),
									images:"/static/images/p1.png",
									statuscolor:'#1D61E7'
								}
								break;
							case 2: //完成
								this.resultsModel={
									status: this.$t('results.text9'),
									txt: this.$t('results.text10'),
									images:"/static/images/p3.png",
									statuscolor:'#333333'
								}
								break;
							case -1: //驳回
								this.resultsModel={
									status: this.$t('results.text11'),
									txt: this.$t('results.text12') + res.data.memo,
									images:"/static/images/p4.png",
									statuscolor:'#F03F61'
								}
								break;
							case -2: //失败
								this.resultsModel={
									status: this.$t('results.text13'),
									txt: this.$t('results.text12') + res.data.memo,
									images:"/static/images/p2.png",
									statuscolor:'#F03F61'
								}
								break;
						}
					}
					
				});
			};
		},
		//页面显示
		onShow() {},
		//方法
		methods: {
			goto(url, type) {
			    if (type == 2) {
			        return uni.switchTab({ url: url })
			    }
			    if (type == 1) {
			        return uni.navigateBack({ delta: url });
			    }
			    uni.navigateTo({
			        url: url
			    })
			},
		},
		//页面隐藏
		onHide() {},
		//页面卸载
		onUnload() {},
		//页面下来刷新
		onPullDownRefresh() {},
		//页面上拉触底
		onReachBottom() {},
		//用户点击分享
		onShareAppMessage(e) {
			return this.wxShare();
		}
	};
</script>
<style lang="scss" scoped>
	@import '@/style/mixin.scss';
	body{background-color: #fff;}
	.page{min-height: 100vh;}
	.rechargeTitle{
		font-weight: 400;font-size: 32rpx;color: #999999;line-height: 46rpx; text-align: center; margin-top: 60rpx;
	}
	.rechargeNet{
		font-weight: 600;font-size: 40rpx;color: #333;line-height: 46rpx; text-align: center; margin-top: 40rpx;
	}
	.txt{
		font-size: 32rpx; color:#999; font-weight: 500;
	}
	.cell_right{
		font-size: 32rpx; color:#333; font-weight: 500;
	}
</style>